# Copyright (C) by Brett Kromkamp 2011-2014 (brett@perfectlearn.com)
# You Programming (http://www.youprogramming.com)
# May 03, 2014

class Node:
    def __init__(self, identifier):
        self.__identifier = identifier
        self.__children = []

    @property
    def identifier(self):
        return self.__identifier

    @property
    def children(self):
        return self.__children

    def add_child(self, identifier):
        self.__children.append(identifier)


    def remove_child(self, identifier):
        self.__children.remove(identifier)
        

    def replace_child(self, identifier, replacement):        
        index=self.__children.index(identifier)
        self.__children[index]=replacement
