def all_stats (input_list):
	length=len(input_list)
	mean = 0
	median=0
	mode=max(input_list)
	standard_deviation=0
	most=0
	for i in input_list:
		mean=mean+i
	mean=mean/length
	if (length)%2==0:
		median=input_list[length/2]
	if (length)%2==1:
		median=((input_list[length//2]+input_list[length//2+1])/2)
	for i in input_list:
		standard_deviation=(i-mean)**2+standard_deviation
	standard_deviation=(((standard_deviation)/(length-1))**0.5)
	most=input_list.count(mode)
	return ([mean, median, mode, most, standard_deviation])
	
     
def mean(input_list):
    count=0
    for i in input_list:
        count=count+i
    return ((count)/(len(input_list)))

def harmonic_mean(input_list):
    count=0
    for i in input_list:
        if i!=0:
            count=count+1/i
    if count==0:
        return 0
    return ((len(input_list))/count)

def median(input_list):
    length=len(input_list)
    if (length)%2==0:
        return input_list[length/2]
    if (length)%2==1:
        return ((input_list[length//2]+input_list[length//2+1])/2)

def most(input_list):
    count=0
    for i in input_list:
        current=input_list.count(i)
        if current>count:
            count=current
    return (count)

def mode(input_list):
    return (max(input_list))

def standard_deviation(input_list):
    length=len(input_list)
    average=mean(input_list)
    count=0
    for i in input_list:
        count=i-average+count
    return (((count**2)/length)*0.5)

def return_statistics(input_list):
	return ([harmonic_mean(input_list)])
	
	#harmonic_mean(input_list), median(input_list), most(input_list), mode(input_list), standard_deviation(input_list)])
    
def colors(input_list):
	SATURATION_THRESHOLD = 0.3
	VALUE_THRESHOLD = 0.3
	COLOR_PALETTE = [['red', 0.0, 0.1 , 0], ['orange', 0.1, 0.2, 0],['lime green', 0.2, 0.3, 0],['green', 0.3, 0.4, 0],['cyan', 0.4, 0.5, 0],['blue', 0.5, 0.6, 0],['dark blue', 0.6, 0.7, 0],['purple', 0.7, 0.8, 0],['pink', 0.8, 0.9, 0],['dark red', 0.9, 1, 0]]
	COLOR_COUNT=0
	PIXEL_THRESHOLD=4500
	for i in input_list:
		if (i[1]> SATURATION_THRESHOLD) and (i[2]> VALUE_THRESHOLD):
			if COLOR_PALETTE[0][1]<i[0]<COLOR_PALETTE[0][2]:
				COLOR_PALETTE[0][3]=COLOR_PALETTE[0][3]+1
			if COLOR_PALETTE[1][1]<i[0]<COLOR_PALETTE[1][2]:
				COLOR_PALETTE[1][3]=COLOR_PALETTE[1][3]+1
			if COLOR_PALETTE[2][1]<i[0]<COLOR_PALETTE[2][2]:
				COLOR_PALETTE[2][3]=COLOR_PALETTE[2][3]+1
			if COLOR_PALETTE[3][1]<i[0]<COLOR_PALETTE[3][2]:
				COLOR_PALETTE[3][3]=COLOR_PALETTE[3][3]+1
			if COLOR_PALETTE[4][1]<i[0]<COLOR_PALETTE[4][2]:
				COLOR_PALETTE[4][3]=COLOR_PALETTE[4][3]+1
			if COLOR_PALETTE[5][1]<i[0]<COLOR_PALETTE[5][2]:
				COLOR_PALETTE[5][3]=COLOR_PALETTE[5][3]+1
			if COLOR_PALETTE[6][1]<i[0]<COLOR_PALETTE[6][2]:
				COLOR_PALETTE[6][3]=COLOR_PALETTE[6][3]+1
			if COLOR_PALETTE[7][1]<i[0]<COLOR_PALETTE[7][2]:
				COLOR_PALETTE[7][3]=COLOR_PALETTE[7][3]+1
			if COLOR_PALETTE[8][1]<i[0]<COLOR_PALETTE[8][2]:
				COLOR_PALETTE[8][3]=COLOR_PALETTE[8][3]+1
			if COLOR_PALETTE[9][1]<i[0]<COLOR_PALETTE[9][2]:
				COLOR_PALETTE[9][3]=COLOR_PALETTE[9][3]+1
	for i in range (10):
		if COLOR_PALETTE[i][3]>PIXEL_THRESHOLD:
			COLOR_COUNT=COLOR_COUNT+1
	return [COLOR_PALETTE, COLOR_COUNT]

def mean_fitness(list_of_statistics):
	fitness_value=0
	parameter=51
	if 0<list_of_statistics[0]<parameter:
		fitness_value=fitness_value+1
	if parameter<list_of_statistics[0]<parameter*2:
		fitness_value=fitness_value+2
	if parameter*2<list_of_statistics[0]<parameter*3:
		fitness_value=fitness_value+3
	if parameter*3<list_of_statistics[0]<parameter*4:
		fitness_value=fitness_value+2
	if parameter*4<list_of_statistics[0]<parameter*5:
		fitness_value=fitness_value+1
	return fitness_value

def median_fitness(list_of_statistics):
	fitness_value=0
	parameter=51
	if 0<list_of_statistics[1]<parameter:
		fitness_value=fitness_value+1
	if parameter<list_of_statistics[1]<parameter*2:
		fitness_value=fitness_value+2
	if parameter*2<list_of_statistics[1]<parameter*3:
		fitness_value=fitness_value+3
	if parameter*3<list_of_statistics[1]<parameter*4:
		fitness_value=fitness_value+2
	if parameter*4<list_of_statistics[1]<parameter*5:
		fitness_value=fitness_value+1
	return fitness_value

def most_fitness(list_of_statistics):
	fitness_value=0
	parameter=1000
	if 0<list_of_statistics[3]<parameter:
		fitness_value=fitness_value+5
	if parameter<list_of_statistics[3]<parameter*2:
		fitness_value=fitness_value+4
	if parameter*2<list_of_statistics[3]<parameter*3:
		fitness_value=fitness_value+3
	if parameter*3<list_of_statistics[3]<parameter*4:
		fitness_value=fitness_value+2
	if parameter*4<list_of_statistics[3]:
		fitness_value=fitness_value+1
	return fitness_value
			
def standard_deviation_fitness(list_of_statistics):
	fitness_value=0
	parameter=10
	if 0<list_of_statistics[4]<parameter:
		fitness_value=fitness_value+1
	if parameter<list_of_statistics[4]<parameter*2:
		fitness_value=fitness_value+4
	if parameter*2<list_of_statistics[4]<parameter*4:
		fitness_value=fitness_value+8
	if parameter*4<list_of_statistics[4]<parameter*7:
		fitness_value=fitness_value+15
	if parameter*7<list_of_statistics[4]:
		fitness_value=fitness_value+4
	return fitness_value

def color_fitness(integer):
	fitness_value=0
	parameter=0
	if integer==(parameter):
		fitness_value=fitness_value+0
	if integer==(parameter+1):
		fitness_value=fitness_value+0
	if integer==(parameter+2):
		fitness_value=fitness_value+5
	if integer==(parameter+3):
		fitness_value=fitness_value+10
	if integer==(parameter+4):
		fitness_value=fitness_value+25
	if integer==(parameter+5):
		fitness_value=fitness_value+23
	if integer==(parameter+6):
		fitness_value=fitness_value+21
	if integer==(parameter+7):
		fitness_value=fitness_value+15
	if integer==(parameter+8):
		fitness_value=fitness_value+10
	if integer==(parameter+9):
		fitness_value=fitness_value+5
	if integer==(parameter+10):
		fitness_value=fitness_value+0
	return fitness_value


					
				
				
        



        
